using BinanceExchange.API.Models.WebSocket;
using SignalsTest;

class Program
{
    static ManualResetEvent _quitEvent = new ManualResetEvent(false);
    private static void Main(string[] args)
    {
        Console.WriteLine("Initializing Messiah");
        Messenger.instance.SendMessage("Rebooted bot");
        for (int i=0; i < CoinsList.symbols.Count; i++){
            CoinWatch btcWatch = new CoinWatch(CoinsList.symbols[i], i);
            btcWatch.PriceUpdated += CoinWatch_OnPriceUpdate;
        }
        
        _quitEvent.WaitOne();
    }

    private static void CoinWatch_OnPriceUpdate(Object? sender,BinanceTradeData data)
    {
        // Console.WriteLine(data.BestAskPrice);
    }
}